Bug 191209 - print/gutenprint and children: update to 5.2.10, add STAGE support, fix DEPENDS
Summary: print/gutenprint and children: update to 5.2.10, add STAGE support, fix DEPENDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks: 186050
  Show dependency treegraph
 
Reported: 2014-06-20 16:55 UTC by Christoph Moench-Tegeder
Modified: 2014-07-25 01:29 UTC (History)
2 users (show)

See Also:


Attachments
patch for print/gutenprint (494 bytes, patch)
2014-06-20 16:55 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch for print/gimp-gutenprint (293 bytes, patch)
2014-06-20 16:56 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch for print/gutenprint-base (9.07 KB, patch)
2014-06-20 16:57 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch for print/gutenprint-cups (58.23 KB, patch)
2014-06-20 16:57 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch for print/gutenprint-foomatic (1.09 KB, patch)
2014-06-20 16:57 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch for print/gutenprint-ijs (505 bytes, patch)
2014-06-20 16:58 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch for print/gutenprint (495 bytes, patch)
2014-07-15 19:02 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch for print/gimp-gutenprint (276 bytes, patch)
2014-07-15 19:03 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch for print/gutenprint-base (9.99 KB, patch)
2014-07-15 19:03 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch for print/gutenprint-cups (58.23 KB, patch)
2014-07-15 19:04 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch for print/gutenprint-foomatic (1.09 KB, patch)
2014-07-15 19:05 UTC, Christoph Moench-Tegeder
no flags Details | Diff
patch for print/gutenprint-ijs (506 bytes, patch)
2014-07-15 19:05 UTC, Christoph Moench-Tegeder
no flags Details | Diff
fix endianess detection issue with gcc - drop this into print/gutenprint-base/files/ (681 bytes, patch)
2014-07-22 17:57 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2014-06-20 16:55:50 UTC
Created attachment 143963 [details]
patch for print/gutenprint

Hi,
here's the overhaul for print/gutenprint and friends:
- print/gimp-gutenprint
- print/gutenprint
- print/gutenprint-base
  note deleted file files/patch-src_cups_Makefile.in
- print/gutenprint-cups
- print/gutenprint-foomatic
- print/gutenprint-ijs

This includes an update to 5.2.10, STAGE support and DEPENDS fixes.
Note: in gutenprint-ijs, foomatic-kitload complains about not being able to install a "kit" - these messages are bogus, foomatic-kitload tries to parse tar's output in a way which works with GNU tar only.

redports: https://redports.org/buildarchive/20140620143626-93257/
Comment 1 Christoph Moench-Tegeder freebsd_committer 2014-06-20 16:56:34 UTC
Created attachment 143964 [details]
patch for print/gimp-gutenprint
Comment 2 Christoph Moench-Tegeder freebsd_committer 2014-06-20 16:57:02 UTC
Created attachment 143965 [details]
patch for print/gutenprint-base
Comment 3 Christoph Moench-Tegeder freebsd_committer 2014-06-20 16:57:30 UTC
Created attachment 143966 [details]
patch for print/gutenprint-cups
Comment 4 Christoph Moench-Tegeder freebsd_committer 2014-06-20 16:57:58 UTC
Created attachment 143967 [details]
patch for print/gutenprint-foomatic
Comment 5 Christoph Moench-Tegeder freebsd_committer 2014-06-20 16:58:25 UTC
Created attachment 143968 [details]
patch for print/gutenprint-ijs
Comment 6 Danilo Egea Gondolfo freebsd_committer 2014-06-27 13:39:35 UTC
The patch gutenprint-base.diff is failing (due a recent change in you port). Furthermore, gutenprint-cups has a shebangfix problem. With staging, the MAN entries should be remove. You can use options helpers (see the ports committer's guide) instead of ".if" in some cases.

Please, use DEVELOPER=yes in your make.conf and try to build and install all these ports. Can you check this? Thanks!
Comment 7 Christoph Moench-Tegeder freebsd_committer 2014-07-15 19:02:16 UTC
Created attachment 144695 [details]
patch for print/gutenprint
Comment 8 Christoph Moench-Tegeder freebsd_committer 2014-07-15 19:03:15 UTC
Created attachment 144696 [details]
patch for print/gimp-gutenprint
Comment 9 Christoph Moench-Tegeder freebsd_committer 2014-07-15 19:03:42 UTC
Created attachment 144697 [details]
patch for print/gutenprint-base
Comment 10 Christoph Moench-Tegeder freebsd_committer 2014-07-15 19:04:48 UTC
Created attachment 144698 [details]
patch for print/gutenprint-cups
Comment 11 Christoph Moench-Tegeder freebsd_committer 2014-07-15 19:05:16 UTC
Created attachment 144699 [details]
patch for print/gutenprint-foomatic
Comment 12 Christoph Moench-Tegeder freebsd_committer 2014-07-15 19:05:46 UTC
Created attachment 144700 [details]
patch for print/gutenprint-ijs
Comment 13 Christoph Moench-Tegeder freebsd_committer 2014-07-15 19:22:42 UTC
new set of patches
- tracked new changes in these ports
- spent way too much time tracking down changed MAKE handling
- adpoted some more USES

- the shebang-problem in gutenprint-cups seems to be a non-issue,
  the perl-path is detected and fixed by gutenprint's build system
- in gutenprint-base, the use of .if-statements may be messy, but
  things got even worse when I tried to mix slave-ports and options.
  I'd rather keep that part as-is and do an additional round of
  cleanups once this has settled in.

Unless I missed something, this passes DEVELOPER=yes and doesn't break anything noticeable on my systems.
Comment 14 Christoph Moench-Tegeder freebsd_committer 2014-07-22 17:57:07 UTC
Created attachment 144885 [details]
fix endianess detection issue with gcc - drop this into print/gutenprint-base/files/

fixes https://redports.org/~daniloegea/20140722141301-45409-226539/gutenprint-base-5.2.10.log
Comment 15 commit-hook freebsd_committer 2014-07-24 21:16:36 UTC
A commit references this bug:

Author: danilo
Date: Thu Jul 24 21:15:48 UTC 2014
New revision: 362853
URL: http://svnweb.freebsd.org/changeset/ports/362853

Log:
  - Update from 5.2.8 to 5.2.10
  - Add stage support
  - Convert USE_BZIP2 and USE_GNOME=gnomehack to USES

  PR:		ports/191209
  Submitted by:	cmt@burggraben.net

Changes:
  head/print/gimp-gutenprint/Makefile
  head/print/gutenprint/Makefile
  head/print/gutenprint-base/Makefile
  head/print/gutenprint-base/distinfo
  head/print/gutenprint-base/files/patch-src__gimp2__Makefile.in
  head/print/gutenprint-base/files/patch-src__main__print-olympus.c
  head/print/gutenprint-base/files/patch-src_cups_Makefile.in
  head/print/gutenprint-base/files/patch-src_gimp2_Makefile.in
  head/print/gutenprint-base/pkg-plist
  head/print/gutenprint-cups/Makefile
  head/print/gutenprint-cups/pkg-plist
  head/print/gutenprint-foomatic/Makefile
  head/print/gutenprint-foomatic/pkg-plist
  head/print/gutenprint-ijs/Makefile
  head/print/gutenprint-ijs/pkg-plist
Comment 16 Danilo Egea Gondolfo freebsd_committer 2014-07-25 01:29:39 UTC
Committed, with some changes. Thanks!